hexpat-0.20.13: XML parser/formatter based on expat

Safe Haskell | Safe-Inferred
Language | Haskell98

Text.XML.Expat.Internal.Namespaced

Synopsis

- data NName text = NName {
  - nnNamespace :: Maybe text
  - nnLocalPart :: !text
  }
- type NAttributes text = Attributes (NName text) text
- mkNName :: text -> text -> NName text
- mkAnNName :: text -> NName text
- toNamespaced :: (NodeClass n c, GenericXMLString text, Ord text, Show text) => n c (QName text) text -> n c (NName text) text
- fromNamespaced :: (NodeClass n c, GenericXMLString text, Ord text, Functor c) => n c (NName text) text -> n c (QName text) text
- xmlnsUri :: GenericXMLString text => text
- xmlns :: GenericXMLString text => text

# Documentation

data NName text Source #

A namespace-qualified tag.

NName has two components, a local part and an optional namespace. The local part is the name of the tag. The namespace is the URI identifying collections of declared tags. Tags with the same local part but from different namespaces are distinct. Unqualified tags are those with no namespace. They are in the default namespace, and all uses of an unqualified tag are equivalent.

Constructors

NName |

Fields

- nnNamespace :: Maybe text
- nnLocalPart :: !text

#### Instances

Instances details

Show text => Show (NName text) Source # |
Instance details Defined in Text.XML.Expat.Internal.Namespaced Methods showsPrec :: Int -> NName text -> ShowS Source # show :: NName text -> String Source # showList :: [NName text] -> ShowS Source #
NFData text => NFData (NName text) Source # |
Instance details Defined in Text.XML.Expat.Internal.Namespaced Methods rnf :: NName text -> () Source #
Eq text => Eq (NName text) Source # |
Instance details Defined in Text.XML.Expat.Internal.Namespaced Methods (==) :: NName text -> NName text -> Bool Source # (/=) :: NName text -> NName text -> Bool Source #

type NAttributes text = Attributes (NName text) text Source #

Type shortcut for attributes with namespaced names

mkNName :: text -> text -> NName text Source #

Make a new NName from a prefix and localPart.

mkAnNName :: text -> NName text Source #

Make a new NName with no prefix.

toNamespaced :: (NodeClass n c, GenericXMLString text, Ord text, Show text) => n c (QName text) text -> n c (NName text) text Source #

fromNamespaced :: (NodeClass n c, GenericXMLString text, Ord text, Functor c) => n c (NName text) text -> n c (QName text) text Source #

xmlnsUri :: GenericXMLString text => text Source #

xmlns :: GenericXMLString text => text Source #